package cn.datax.service.data.standard.service;

import cn.datax.service.data.standard.api.entity.StandardTypeEntity;
import cn.datax.service.data.standard.api.dto.StandardTypeDto;
import cn.datax.common.base.BaseService;

import java.util.List;

/**
 * <p>
 * 标准类别信息表 服务类
 * </p>
 *
 * @author yuwei
 * @since 2020-08-10
 */
public interface StandardTypeService extends BaseService<StandardTypeEntity> {

    StandardTypeEntity saveStandardType(StandardTypeDto standardType);

    StandardTypeEntity updateStandardType(StandardTypeDto standardType);

    StandardTypeEntity getStandardTypeById(String id);

    void deleteStandardTypeById(String id);

    void deleteStandardTypeBatch(List<String> ids);
}
